2018-05-22 12:41 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001465FSSCPsoundpublic2008-11-10 19:58
ReporterGoober5000 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001465: multiplayer debriefing music problem
DescriptionIn multiplayer campaigns, the failure debriefing music plays even if you can continue. If you can't continue, the average music plays.

(This only happens for multiplayer clients. The server behaves correctly.)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008436

Goober5000 (administrator)

This is caused by clients not receiving the campaign update packet before the music is initialized. The music should not start until after the packet is received.

More testing is needed here. Probably in tandem with karajorma.

~0008437

Goober5000 (administrator)

Reminder sent to: karajorma

Take a look at this.

~0008522

karajorma (administrator)

Where exactly is the debrief music started?

~0010156

taylor (administrator)

Unless I have missed something in the code, there isn't a single packet to evaluate to determine if all of the goals have been updated or not. Plus this is UDP, with no guarantee that the packet(s) will ever show up, so if we simply wait for something to come over the network then there may be no music playing at all.

One thing it looks like we can do is just start whatever music it starts with, continue to evaluate the goals for any changes and then switch the music if the gaols eval differently. The only other option that I see is to just delay playback of the music for 0000007:0000002-3 seconds, to give more time for the gaol packets to come in, and then start it.

I think that the delay option is probably the cleanest way to do it, and it would only be for clients as well so hosts and single-player wouldn't see any difference.

~0010161

taylor (administrator)

Should be handled in my next build.

~0010168

taylor (administrator)

Should be...


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-08-15 05:07 Goober5000 New Issue
2007-08-15 05:07 Goober5000 Status new => assigned
2007-08-15 05:07 Goober5000 Assigned To => Goober5000
2007-08-31 04:44 Goober5000 Note Added: 0008436
2007-08-31 04:44 Goober5000 Note Added: 0008437
2007-08-31 04:45 Goober5000 Description Updated
2007-08-31 06:50 karajorma Assigned To Goober5000 => karajorma
2007-09-10 19:34 karajorma Note Added: 0008522
2008-11-04 18:52 taylor Note Added: 0010156
2008-11-06 17:46 taylor Assigned To karajorma => taylor
2008-11-06 17:46 taylor Note Added: 0010161
2008-11-10 19:58 taylor Status assigned => resolved
2008-11-10 19:58 taylor Fixed in Version => 3.6.10
2008-11-10 19:58 taylor Resolution open => fixed
2008-11-10 19:58 taylor Note Added: 0010168
+Issue History